-- name: [CS] Joker Mario
-- description: [CS] Joker Mario\nby kurobutt\n\n"I used to think-a that my life was a tragedy, but now I realize, it's-a comedy."\n\n\\#ff6868\\Requires \\00ff00\\Character Select \\#ff6868\\enabled!
-- deluxe: true
--
--Joker Mario skin for SM64 co-op deluxe
--
--notes:
--special thanks to Knola for making the initial co-op DX port I based this on
--
--version: 1.0
--updated on 02/02/2025 by kuro

if not _G.charSelectExists then return end

local E_MODEL_MARIOKER = smlua_model_util_get_id("marioker_geo")
local E_MODEL_MARIOKERC = smlua_model_util_get_id("mariokerc_geo")

--life icons
local TEX_MARIOKER = get_texture_info("marioker_icon")

--palettes
local PALETTE_MARIOKER = {	
    [PANTS]  = "bf2d15",
    [SHIRT]  = "f2c400",
    [GLOVES] = "ffffff",
    [SHOES]  = "33170e",
    [HAIR]   = "365f2f",
    [SKIN]   = "fec179",
    [CAP]    = "bf2d15",
    [EMBLEM] = "037fbb"
}

_G.CT_MARIOKER = charSelect.character_add("Joker Mario", "I used to think-a that my life was a tragedy, but now I realize, it's-a comedy.", "kurobutt", "ffffff", E_MODEL_MARIOKER, CT_MARIO, TEX_MARIOKER)
charSelect.character_add_costume(_G.charSelect.character_get_number_from_string("Joker Mario"), "Joker Mario (recolorable)", "I used to think-a that my life was a tragedy, but now I realize, it's-a comedy.", "kurobutt", "ffffff", smlua_model_util_get_id("mariokerc_geo"), CT_MARIO, get_texture_info("marioker_icon"), 1.0, nil)
charSelect.character_add_palette_preset(E_MODEL_MARIOKERC, PALETTE_MARIOKER)